MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001202XdebugUsage problems (Wrong Results)public2015-11-09 20:472015-11-10 22:28
Reportergcds 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSMac OS XOS Version10.10.5
Product Version2.4.0beta1 
Target VersionFixed in Version2.4.0rc1 
Summary0001202: Anonymous classes are not handled properly while remote debugging
DescriptionThen trying to debug a file with anonymous classes. xdebug crashes with message:

PHP Fatal error: Class 'class@anonymous' not found in /Users/gcds/Projects/PHP/a.php on line 9
Fatal error: Class 'class@anonymous' not found in /Users/gcds/Projects/PHP/a.php on line 9
PHP Stack trace:

PHP 1. {main}() /Users/gcds/Projects/PHP/a.php:0
Call Stack:
    0.1259 355144 1. {main}() /Users/gcds/Projects/PHP/a.php:0
Steps To Reproduce<?php

$a = new class {
    public function hello() {
        echo 'Hello world';
    }
};

$a->hello();
Additional InformationBreakpoint on last line
TagsNo tags attached.
Operating SystemMac OS X 10.10.5
PHP Version7.0.0rc6
Attached Fileslog file icon xdebug.log [^] (6,092 bytes) 2015-11-09 21:11

- Relationships

-  Notes
(0003222)
gcds (reporter)
2015-11-09 21:07

It works if there is no breakpoint
(0003223)
derick (administrator)
2015-11-10 22:28

Fixed - thanks for the report!

- Issue History
Date Modified Username Field Change
2015-11-09 20:47 gcds New Issue
2015-11-09 21:07 gcds Note Added: 0003222
2015-11-09 21:11 gcds File Added: xdebug.log
2015-11-10 22:18 derick Summary xdebug crashes then debugging code with anonymous classes => Anonymous classes are not handled properly while remote debugging
2015-11-10 22:28 derick Note Added: 0003223
2015-11-10 22:28 derick Status new => closed
2015-11-10 22:28 derick Assigned To => derick
2015-11-10 22:28 derick Resolution open => fixed
2015-11-10 22:28 derick Fixed in Version => 2.4.0rc1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker